package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 商品类型枚举
 */
@AllArgsConstructor
@Getter
public enum EWaresType {

    /**
     * 1=普通商品
     */
    ORDINARY(1, "普通商品"),

    /**
     * 2=188商品
     */
    PRODUCT_188(2, "188商品"),

    /**
     * 3=加购商品
     */
    ADD_PURCHASE(3, "加购商品"),

    ;

    /**
     * 实际值
     */
    private final Integer value;

    /**
     * 显示标签
     */
    private final String label;

    public static String getLabelByValue(Integer value) {
        if (null == value) {
            return "";
        }
        for (EWaresType enums : EWaresType.values()) {
            if (enums.getValue() == value) {
                return enums.getLabel();
            }
        }
        return "";
    }

}
